%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-mssql
Version:        0.8.0
Release:        1%{?dist}
Summary:        Simple MSSQL Python extension module

Group:          Development/Languages
License:        LGPLv2+
URL:            http://pymssql.sourceforge.net/
Source0:        http://downloads.sourceforge.net/pymssql/pymssql-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildArch:      
BuildRequires:  python-devel, freetds-devel

%description
This module provides access to Microsoft SQL Servers from Python scripts.       
It's the most efficient method of accessing MS SQL Server's data from Python    
scripts. If you care about performance, you can give it a try.                  


%prep
%setup -q -n pymssql-%{version}


%build
dos2unix *
# Remove CFLAGS=... for noarch packages (unneeded)
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README ChangeLog README.freetds TODO apitest_mssql.py
# For arch-specific packages: sitearch
%{python_sitearch}/*


%changelog
* Fri Nov 16 2007 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.8.0-1
- Initial release.
